#! /bin/sh
# Auxiliary shell script for ./build-on-one-machine.sh.
#
# Usage:
#	doconfig compiler-path [compiler-options [configure-options]]
#
# [06-Jul-1998] -- add df checks
# [29-Jun-1998] -- Save dired executable as dired-compilername for manual 
#		   testing
# [15-Jun-1998]

if [ -f $1 ]
then
    echo ============================================================
    echo configuring for $1 $2 with configure options: $3
    date
    echo UNAME: "`uname -a || true`"
    if test -f $HOME/bin/machinetype
    then
	echo MACHINETYPE: "`$HOME/bin/machinetype`"
    fi
    if test -f Makefile 
    then
	    make distclean >/dev/null 2>&1
    elif test -f save/Makefile 
    then
	    make -f save/Makefile distclean >/dev/null 2>&1
    else
	    /bin/rm -f Makefile config.cache config.log config.status config.h
    fi
    df -k . 2>/dev/null || df . 2>/dev/null || true
    env CC="$1 $2" $3 ./configure && make && make check
    if test -f dired ; then cp dired dired.exe-`basename $1` ; fi
    date
    df -k . 2>/dev/null || df . 2>/dev/null || true
fi
